
`timescale 1ps/1ps

// `accelerate
//***************************
// generated semi-automatically by '/net/cloud3/voyager/projects/voyager/970810/bin/proj_builder'
//***************************
module top;

   wire [0:31]	a;
   wire		aack_b;
   wire		abb_b_irq2_b;
   wire		ale;
   wire		artry_b;
   wire [27:28]	baddr;
   wire		bg_b;
   wire		br_b;
   wire		ci_b_baddr29_irq2_b;
   wire		cpu_bg_b_baddr31_irq5_b;
   wire		cpu_dbg_b;
   wire		cpu_br_b;
   wire [0:9]	cs_b;
   wire		cs10_b_bctl1_b_dbg_dis;
   wire		cs11_b_ap0;
   wire [0:63]	d;
   wire		dbb_b_irq3_b;
   wire		dbg_b;
   wire		dp0_rsrv_b;
   wire		dp1_irq1_b;
   wire		dp2_tlbisync_b_irq2_b;
   wire		dp3_irq3_b;
   wire		dp4_irq4_b;
   wire		dp5_tben_irq5_b;
   wire		dp6_cse0_irq6_b;
   wire		dp7_cse1_irq7_b;
   wire		psdval_b;
   wire		gbl_b_irq1_b;
   wire		gndsyn;
   wire		gndsyn1;
   wire		gta_b_upwait_gpl4_pbs;
   wire		hreset_b;
   wire		irq0_b_nmi_out_b;
   wire		irq7_b_int_out_b_ape_b;
   wire		l2_hit_b_irq4_b;
   wire		l_a14_par;
   wire		l_a24_req1_b_hses;	// 26.01.00 Compact PCI changes from l_a24_req1_b
   wire		l_a25_gnt0_b;
   wire		l_a26_gnt1_b_hsled; 	// 26.01.00 Compact PCI changes from l_a26_gnt1_b
   wire 	pci_mode_b;     		// 27.07.99 		PCI changes from spare5
   wire 	l_a27_gnt2_b_hsenum_b; 	// 27.07.99 		PCI changes from l_a27_pclk
                                    // 26.01.00 Compact PCI changes from l_a27_gnt2_b
   wire 	l_a30_req2_b;   		// 27.07.99 		PCI changes from l_a30_lock_b
   wire 	l_a31_dllout;   		// 27.07.99 		PCI changes from l_a31
   wire		clkin2;   				// 27.08.99 		PCI changes from spare1 
   wire		l_a28_rst_b;
   wire		l_a29_inta_b;
   wire		l_a15_frm_b_smi_b;
   wire		l_a16_trdy_b;
   wire		l_a17_irdy_b_ckstp_out;
   wire		l_a18_stop_b;
   wire		l_a19_devsel_b;
   wire		l_a20_idsel;
   wire		l_a21_perr_b;
   wire		l_a22_serr_b;
   wire		l_a23_req0_b;
`ifdef SIU_PCI_ENABLED
   wire [3:0]	lcl_dp_c_be;
   wire [31:0]	lcl_d_ad;
`else
   wire [0:3]	lcl_dp_c_be;
   wire [0:31]	lcl_d_ad;
`endif
   wire		lgta_b_upwait_gpl4_pbs;
   wire		loe_b_sdras_b_gpl2;
   wire		lsda10_gpl0;
   wire		lsdamux_gpl5;
   wire		lsdcas_b_gpl3;
   wire		lsdwe_b_gpl1;
   wire [0:3]	lwe_dqm_bs_b;
   wire		lwr_b;
   wire		modclk1_ap1_tc0_bnksel0;
   wire		modclk2_ap2_tc1_bnksel1;
   wire		modclk3_ap3_tc2_bnksel2;
   wire		ngnd_a;
   wire		ngnd_b;
   wire		ngnd_c;
   wire		ngnd_d;
   wire		ngnd_e;
   wire		ngnd_f;
   wire		ngnd_g;
   wire		ngnd_h;
   wire		ngnd_i;
   wire		ngnd_j;
   wire		ngnd_k;
   wire		ngnd_l;
   wire		ngnd_m;
   wire		ngnd_n;
   wire		ngnd_o;
   wire		ngnd_p;
   wire		ngnd_q;
   wire		ngnd_r;
   wire		ngnd_s;
   wire		ngnd_t;
   wire		ngnd_u;
   wire		ngnd_v;
   wire		ngnd_w;
   wire		ngnd_x;
   wire		ngnd_y;
   wire		ngnd_z;
   wire		nvcc_a;
   wire		nvcc_b;
   wire		nvcc_c;
   wire		nvcc_d;
   wire		nvcc_e;
   wire		nvcc_f;
   wire		nvcc_g;
   wire		nvcc_h;
   wire		nvcc_i;
   wire		nvcc_j;
   wire		nvcc_k;
   wire		nvcc_l;
   wire		nvcc_m;
   wire		nvcc_n;
   wire		nvcc_o;
   wire		nvcc_p;
   wire		nvcc_q;
   wire		nvcc_r;
   wire		nvcc_s;
   wire		nvcc_t;
   wire		nvcc_u;
   wire		nvcc_v;
   wire		nvcc_w;
   wire		nvcc_x;
   wire		nvcc_y;
   wire		nvcc_z;
   wire		oe_b_sdras_b_gpl2;
   wire [0:31]	pa;
   wire [4:31]	pb;
   wire [0:31]	pc;
   wire [4:31]	pd;
   wire		poreset_b;
   wire		rstconf_b;
   wire		clkin;
   wire		sda10_gpl0;
   wire		sdamux_gpl5;
   wire		sdcas_b_gpl3;
   wire		sdwe_b_gpl1;
   wire		spare2;
   wire		qreq_b;
   wire		spare4;
   wire		spare6;
   wire		sreset_b;
   wire		ta_b;
   wire		tbst_b;
   wire		tck;
   wire		tdi;
   wire		tdo;
   wire		tea_b;
   wire		test;
   wire		therm;
   wire		tms;
   wire		tris_b;
   wire		trst_b;
   wire		ts_b;
   wire [0:3]	tsize;
   wire [0:4]	tt;
   wire		vccsyn;
   wire		vccsyn1;
   wire [0:7]	we_dqm_bs_b;
   wire		bctl0_b;
   wire		wt_b_baddr30_irq3_b;


   // Edgesets 
   reg		edgeset_cpu_ecc;
   reg		edgeset_cpu_nom;
   reg		edgeset_cpu_siu;
   reg		edgeset_cpm_int_g1;
   reg		edgeset_cpm_ext_g1;
   reg		edgeset_cpm_int_g2;
   reg		edgeset_cpm_ext_g2;
   reg		edgeset_cpm_int_g3;
   reg		edgeset_cpm_ext_g3;
   reg		edgeset_cpm_pio;
   reg		edgeset_scan;
   reg		edgeset_generic10;
   reg		edgeset_generic11;
   reg		edgeset_generic12;
   reg		edgeset_generic13;
   reg		edgeset_generic14;
   reg		edgeset_generic15;
   reg		edgeset_pci1;
   reg		edgeset_pci2;

   reg		led;

 wire #1      clkin2 = l_a31_dllout;

//PLL
wire [0:3]  pll_mf;

/*
   Adjust pll_finetune to make clkin and clk_bus_clock sync
   
   It is driven to the following default value.
   
   If this value does not sync clkin and clk_bus_clock, please finetune
   this vaule.

*/

wire [0:31] pll_clk_period = 2*top.clock_gen.cycle/top.pll_mf;

wire [0:31] pll_finetune = (top.pll_mf/2 + 2 ) * pll_clk_period - 24;


pq27 pq27    
(
.a(a),
.aack_b(aack_b),
.abb_b_irq2_b(abb_b_irq2_b),
.ale(ale),
.artry_b(artry_b),
.baddr(baddr),
.bg_b(bg_b),
.br_b(br_b),
.ci_b_baddr29_irq2_b(ci_b_baddr29_irq2_b),
.cpu_bg_b_baddr31_irq5_b(cpu_bg_b_baddr31_irq5_b),
.cpu_dbg_b(cpu_dbg_b),
.cpu_br_b(cpu_br_b), 
.cs_b(cs_b),
.cs10_b_bctl1_b_dbg_dis(cs10_b_bctl1_b_dbg_dis),
.cs11_b_ap0(cs11_b_ap0),
.d(d),
.dbb_b_irq3_b(dbb_b_irq3_b),
.dbg_b(dbg_b),
.dp0_rsrv_b(dp0_rsrv_b),
.dp1_irq1_b(dp1_irq1_b),
.dp2_tlbisync_b_irq2_b(dp2_tlbisync_b_irq2_b),
.dp3_irq3_b(dp3_irq3_b),
.dp4_irq4_b(dp4_irq4_b),
.dp5_tben_irq5_b(dp5_tben_irq5_b),
.dp6_cse0_irq6_b(dp6_cse0_irq6_b),
.dp7_cse1_irq7_b(dp7_cse1_irq7_b),
.psdval_b(psdval_b),
.gbl_b_irq1_b(gbl_b_irq1_b),
.gndsyn(gndsyn),
.gta_b_upwait_gpl4_pbs(gta_b_upwait_gpl4_pbs),
.hreset_b(hreset_b),
.irq0_b_nmi_out_b(irq0_b_nmi_out_b),
.irq7_b_int_out_b_ape_b(irq7_b_int_out_b_ape_b),
.l2_hit_b_irq4_b(l2_hit_b_irq4_b),
.l_a14_par(l_a14_par),
.l_a24_req1_b_hses(l_a24_req1_b_hses),
.l_a25_gnt0_b(l_a25_gnt0_b),
.l_a26_gnt1_b_hsled(l_a26_gnt1_b_hsled),
.l_a27_gnt2_b_hsenum_b(l_a27_gnt2_b_hsenum_b),
.l_a28_rst_b(l_a28_rst_b),
.clkin2(l_a31_dllout),
.l_a29_inta_b(l_a29_inta_b),
.l_a30_req2_b(l_a30_req2_b),
.l_a31_dllout(l_a31_dllout),
.l_a15_frm_b_smi_b(l_a15_frm_b_smi_b),
.l_a16_trdy_b(l_a16_trdy_b),
.l_a17_irdy_b_ckstp_out(l_a17_irdy_b_ckstp_out),
.l_a18_stop_b(l_a18_stop_b),
.l_a19_devsel_b(l_a19_devsel_b),
`ifdef SIU_PCI_AGENT_ENABLED
	.l_a20_idsel(lcl_d_ad[31]),
`else
	.l_a20_idsel(l_a20_idsel),
`endif
.l_a21_perr_b(l_a21_perr_b),
.l_a22_serr_b(l_a22_serr_b),
.l_a23_req0_b(l_a23_req0_b),
`ifdef SIU_PCI_ENABLED
	.lcl_d_ad({lcl_d_ad[0],lcl_d_ad[1],lcl_d_ad[2],lcl_d_ad[3],lcl_d_ad[4],lcl_d_ad[5],lcl_d_ad[6],lcl_d_ad[7],lcl_d_ad[8],lcl_d_ad[9],lcl_d_ad[10],lcl_d_ad[11],lcl_d_ad[12],lcl_d_ad[13],lcl_d_ad[14],lcl_d_ad[15],lcl_d_ad[16],lcl_d_ad[17],lcl_d_ad[18],lcl_d_ad[19],lcl_d_ad[20],lcl_d_ad[21],lcl_d_ad[22],lcl_d_ad[23],lcl_d_ad[24],lcl_d_ad[25],lcl_d_ad[26],lcl_d_ad[27],lcl_d_ad[28],lcl_d_ad[29],lcl_d_ad[30],lcl_d_ad[31]}),
	.lcl_dp_c_be({lcl_dp_c_be[0],lcl_dp_c_be[1],lcl_dp_c_be[2],lcl_dp_c_be[3]}),
`else
	.lcl_d_ad(lcl_d_ad),
	.lcl_dp_c_be(lcl_dp_c_be),
`endif
.lgta_b_upwait_gpl4_pbs(lgta_b_upwait_gpl4_pbs),
.loe_b_sdras_b_gpl2(loe_b_sdras_b_gpl2),
.lsda10_gpl0(lsda10_gpl0),
.lsdamux_gpl5(lsdamux_gpl5),
.lsdcas_b_gpl3(lsdcas_b_gpl3),
.lsdwe_b_gpl1(lsdwe_b_gpl1),
.lwe_dqm_bs_b(lwe_dqm_bs_b),
.lwr_b(lwr_b),
.modclk1_ap1_tc0_bnksel0(modclk1_ap1_tc0_bnksel0),
.modclk2_ap2_tc1_bnksel1(modclk2_ap2_tc1_bnksel1),
.modclk3_ap3_tc2_bnksel2(modclk3_ap3_tc2_bnksel2),
.ngnd_s(ngnd_s),
.ngnd_a(ngnd_a),
.ngnd_b(ngnd_b),
.ngnd_c(ngnd_c),
.ngnd_d(ngnd_d),
.ngnd_e(ngnd_e),
.ngnd_f(ngnd_f),
.ngnd_g(ngnd_g),
.ngnd_h(ngnd_h),
.ngnd_i(ngnd_i),
.ngnd_j(ngnd_j),
.ngnd_k(ngnd_k),
.ngnd_l(ngnd_l),
.ngnd_m(ngnd_m),
.ngnd_n(ngnd_n),
.ngnd_o(ngnd_o),
.ngnd_p(ngnd_p),
.ngnd_q(ngnd_q),
.ngnd_r(ngnd_r),
.ngnd_t(ngnd_t),
.ngnd_u(ngnd_u),
.ngnd_v(ngnd_v),
.ngnd_w(ngnd_w),
.ngnd_x(ngnd_x),
.ngnd_y(ngnd_y),
.ngnd_z(ngnd_z),
.nvcc_s(nvcc_s),
.nvcc_a(nvcc_a),
.nvcc_b(nvcc_b),
.nvcc_c(nvcc_c),
.nvcc_d(nvcc_d),
.nvcc_e(nvcc_e),
.nvcc_f(nvcc_f),
.nvcc_g(nvcc_g),
.nvcc_h(nvcc_h),
.nvcc_i(nvcc_i),
.nvcc_j(nvcc_j),
.nvcc_k(nvcc_k),
.nvcc_l(nvcc_l),
.nvcc_m(nvcc_m),
.nvcc_n(nvcc_n),
.nvcc_o(nvcc_o),
.nvcc_p(nvcc_p),
.nvcc_q(nvcc_q),
.nvcc_r(nvcc_r),
.nvcc_t(nvcc_t),
.nvcc_u(nvcc_u),
.nvcc_v(nvcc_v),
.nvcc_w(nvcc_w),
.nvcc_x(nvcc_x),
.nvcc_y(nvcc_y),
.nvcc_z(nvcc_z),
.oe_b_sdras_b_gpl2(oe_b_sdras_b_gpl2),
.pa(pa),
.pb(pb),
.pc(pc),
.pd(pd),
.poreset_b(poreset_b),
.rstconf_b(rstconf_b),
.clkin(clkin),
.sda10_gpl0(sda10_gpl0),
.sdamux_gpl5(sdamux_gpl5),
.sdcas_b_gpl3(sdcas_b_gpl3),
.sdwe_b_gpl1(sdwe_b_gpl1),
.qreq_b(qreq_b),
.spare4(spare4),
.pci_mode_b(pci_mode_b),
.spare6(spare6),
.sreset_b(sreset_b),
.ta_b(ta_b),
.tbst_b(tbst_b),
.tck(tck),
.tdi(tdi),
.tdo(tdo),
.tea_b(tea_b),
.test(test), 
.therm(therm),
.tms(tms),
.tris_b(tris_b),
.trst_b(trst_b),
.ts_b(ts_b),
.tsize(tsize),
.tt(tt),
.vccsyn(vccsyn),
.vccsyn1(vccsyn1),
.we_dqm_bs_b(we_dqm_bs_b),
.bctl0_b(bctl0_b),
.wt_b_baddr30_irq3_b(wt_b_baddr30_irq3_b),
.clk_bus_clock(clk_bus_clock),
//PLL
.pll_finetune(pll_finetune),
.pll_mf(pll_mf)

);

wire [0:31] a_latched;
latch latch0 (a, a_latched, ale);

wire [0:31] sram_addr = {a_latched[0:26], baddr[27:28],3'b000};

test_env test_env();
clock_gen clock_gen();
//sram sram(a_latched, cs_b, d, we_dqm_bs_b, oe_b_sdras_b_gpl2);
sram sram(sram_addr, cs_b[0], d, we_dqm_bs_b, oe_b_sdras_b_gpl2);
latch latch(a, a_latched, ale);

sram sram1 (sram_addr, cs_b[1], d, we_dqm_bs_b, oe_b_sdras_b_gpl2);
sram sram2 (sram_addr, cs_b[2], d, we_dqm_bs_b, oe_b_sdras_b_gpl2);



endmodule // top
// `noaccelerate
